io.milvus.param.resourcegroup

## Class TransferReplicaParam.Builder

- java.lang.Object
- - io.milvus.param.resourcegroup.TransferReplicaParam.Builder

- Enclosing class:
    TransferReplicaParam

      public static final class TransferReplicaParam.Builder
      extends java.lang.Object

  Builder for `TransferReplicaParam` class.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TransferReplicaParam` | `build()` Verifies parameters and creates a new `TransferReplicaParam` instance.
    `TransferReplicaParam.Builder` | `withCollectionName(@NonNull java.lang.String collectionName)` Sets the collection name.
    `TransferReplicaParam.Builder` | `withDatabaseName(java.lang.String databaseName)` Sets the database name.
    `TransferReplicaParam.Builder` | `withReplicaNumber(@NonNull java.lang.Long replicaNumber)` Specify number of replicas to transfer
    `TransferReplicaParam.Builder` | `withSourceGroupName(@NonNull java.lang.String groupName)` Sets the source group name.
    `TransferReplicaParam.Builder` | `withTargetGroupName(@NonNull java.lang.String groupName)` Sets the target group name.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### withSourceGroupName

          public TransferReplicaParam.Builder withSourceGroupName(@NonNull
                                                                  @NonNull java.lang.String groupName)

      Sets the source group name. group name cannot be empty or null.
      Parameters:
        `groupName` - source group name
      Returns:
        `Builder`

    - #### withTargetGroupName

          public TransferReplicaParam.Builder withTargetGroupName(@NonNull
                                                                  @NonNull java.lang.String groupName)

      Sets the target group name. group name cannot be empty or null.
      Parameters:
        `groupName` - target group name
      Returns:
        `Builder`

    - #### withCollectionName

          public TransferReplicaParam.Builder withCollectionName(@NonNull
                                                                 @NonNull java.lang.String collectionName)

      Sets the collection name. Collection name cannot be empty or null.
      Parameters:
        `collectionName` - collection name
      Returns:
        `Builder`

    - #### withDatabaseName

          public TransferReplicaParam.Builder withDatabaseName(java.lang.String databaseName)

      Sets the database name. database name can be nil.
      Parameters:
        `databaseName` - database name
      Returns:
        `Builder`

    - #### withReplicaNumber

          public TransferReplicaParam.Builder withReplicaNumber(@NonNull
                                                                @NonNull java.lang.Long replicaNumber)

      Specify number of replicas to transfer
      Parameters:
        `replicaNumber` - number of replicas to transfer
      Returns:
        `Builder`

    - #### build

          public TransferReplicaParam build()
                                     throws ParamException

      Verifies parameters and creates a new `TransferReplicaParam` instance.
      Returns:
        `TransferReplicaParam`
      Throws:
        `ParamException`